# SPDX-FileCopyrightText: 2024 Scarlett Moore <sgmoore@kde.org>
#
# SPDX-License-Identifier: CC0-1.0
---
name: kaddressbook
confinement: strict
grade: stable
base: core22
adopt-info: kaddressbook
apps:
    kaddressbook:
        extensions:
        - kde-neon-6
        common-id: org.kde.kaddressbook.desktop
        desktop: usr/share/applications/org.kde.kaddressbook.desktop
        command: usr/bin/kaddressbook
        plugs:
        - home
        - akonadi-svc
        - akonadi-lock
        command-chain:
        - snap/command-chain/desktop-launch6
plugs:
    akonadi-svc:
        bus: system
        interface: dbus
        name: org.freedesktop.Akonadi
    akonadi-lock:
        bus: system
        interface: dbus
        name: org.freedesktop.Akonadi.Control.lock
slots:
    session-dbus-interface:
        interface: dbus
        name: org.kde.kaddressbook
        bus: session
package-repositories:
-   type: apt
    components:
    - main
    suites:
    - jammy
    key-id: 444DABCF3667D0283F894EDDE6D4736255751E5D
    url: http://origin.archive.neon.kde.org/user
    key-server: keyserver.ubuntu.com
parts:
    kaddressbook:
        parse-info:
        - usr/share/metainfo/org.kde.kaddressbook.appdata.xml
        plugin: cmake
        build-snaps:
        - akonadi-sdk/latest/edge
        stage-snaps:
        - akonadi/latest/edge
        source: https://invent.kde.org/pim/kaddressbook.git
        source-branch: master
        cmake-parameters:
        - -DCMAKE_INSTALL_PREFIX=/usr
        - -DCMAKE_BUILD_TYPE=RelWithDebInfo
        - -DQT_MAJOR_VERSION=6
        - -DBUILD_WITH_QT6=ON
        - -DBUILD_TESTING=OFF
        - -DCMAKE_INSTALL_SYSCONFDIR=/etc
        - -DCMAKE_INSTALL_LOCALSTATEDIR=/var
        - -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON
        - -DCMAKE_FIND_USE_PACKAGE_REGISTRY=OFF
        - -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON
        - -DCMAKE_INSTALL_RUNSTATEDIR=/run
        - -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON
        - -DCMAKE_VERBOSE_MAKEFILE=ON
        - -DCMAKE_INSTALL_LIBDIR=lib/$CRAFT_ARCH_TRIPLET
        - --log-level=STATUS
        - -DCMAKE_LIBRARY_PATH=lib/$CRAFT_ARCH_TRIPLET
        - "-DCMAKE_FIND_ROOT_PATH=$CRAFT_STAGE\\;/snap/kf6-core22-sdk/current\\;/snap/akonadi-sdk/current\\;/usr"
        - "-DCMAKE_MODULE_PATH=/snap/kf6-core22-sdk/current/usr/lib/$SNAPCRAFT_ARCH_TRIPLET/cmake\\;/snap/akonadi-sdk/current/usr/lib/$SNAPCRAFT_ARCH_TRIPLET/cmake/"
        prime:
        - -usr/lib/*/cmake/*
        - -usr/include/*
        - -usr/share/ECM/*
        - -usr/share/man/*
        - -usr/share/icons/breeze-dark*
        - -usr/bin/X11
        - -usr/lib/gcc/$SNAPCRAFT_ARCH_TRIPLET/6.0.0
        - -usr/lib/aspell/*
        - -usr/share/lintian
    cleanup:
        after:
        - kaddressbook
        plugin: nil
        build-snaps:
        - core22
        - kf6-core22
        override-prime: |
            set -eux
            for snap in "core22" "kf6-core22"; do
                cd "/snap/$snap/current" && find . -type f,l -exec rm -rf "${CRAFT_PRIME}/{}" \;
            done


